How to fix shared libraries error when installing DirectAdmin?

Problem:

After running the directamdin installer, if you still see the following error message:


Solution:

Step 1: Go to directadmin directory and use the ldd command lists the path names of all dependencies.

Step 2: Check what is the missing library, here is an example:

Step 3: Search your system for any “libssl.so.*” files by running:

Step 4: If you find a libsso.so file for a different version, eg, /lib64/libssl.so.10, then type:

Step 5: Finish the install by running:

2 Users Found This Useful

Was this answer helpful?

Also Read